Package com.pixelmed.anatproc

# Class SchemeAndValuePair

java.lang.Object
com.pixelmed.anatproc.SchemeAndValuePair

public class SchemeAndValuePair extends Object

This class represents a concept by a combination of CodingSchemeDesignator and CodeValue.

Typically used as a index key with which to look up a concept (disregarding its text CodeMeaning).

See Also:
  - `CodedConcept`
  - `DictionaryOfConcepts`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`codeValue`
`protected String`
`codingSchemeDesignator`

## Constructor Summary

Constructors
Constructor
Description
`SchemeAndValuePair(CodedSequenceItem item)`
`SchemeAndValuePair(String codeValue, String codingSchemeDesignator)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### codeValue

protected String codeValue

### codingSchemeDesignator

protected String codingSchemeDesignator

## Constructor Details

### SchemeAndValuePair

public SchemeAndValuePair(String codeValue, String codingSchemeDesignator)

### SchemeAndValuePair

public SchemeAndValuePair(CodedSequenceItem item)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`